<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2004/07/xpath-functions" xmlns:xdt="http://www.w3.org/2004/07/xpath-datatypes" xmlns:n1="http://www.tdwg.org/schemas/abcd/1.2" exclude-result-prefixes="xsl xs fn xdt n1">
	<xsl:output version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" media-type="text/html" />
	<xsl:template match="/">

					<!--      **************************************UNIT*********************************************  -->
					<xsl:for-each select="n1:DataSets/n1:DataSet/n1:Units/n1:Unit">
						<div id="Unit">
							<!-- *********************************/HEADER ************************************** 	-->
							<table width="96%" border="0">
								<tr>
									<td>
										<span class="titolo2">
										
<!-- ***********************************************************************+NAME****************************************************** -->												
												<xsl:for-each select="n1:Identifications/n1:Identification">
											<!--General rule for names -->
											<!-- Avoid execution if there are no Identifications-->
											
												<!--Differenciate if there is only one identification o more -->
												<xsl:choose>
													<xsl:when test="count(../n1:Identification) = 1">
														<!--Only one identification, is shown as non prefered -->
														<span class="preferedbig"><xsl:value-of select="n1:TaxonIdentified/n1:NameAuthorYearString"/></span>
													</xsl:when>
													<!-- more than 1 identifications -->
													<xsl:otherwise>
														<!--Check if there is a preferedflag -->
														<xsl:choose>
															<xsl:when test="not(@PreferredIdentificationFlag)">
																<!-- Identification without prefered flag -->
																<xsl:value-of select="n1:TaxonIdentified/n1:NameAuthorYearString"/> |
															</xsl:when>
															<xsl:otherwise>
																<xsl:choose>
																	<xsl:when test="@PreferredIdentificationFlag= '1' or @PreferredIdentificationFlag='true'">
																		<!--Multiple identifications, prefered one -->
																		<span class="preferedbig"><xsl:value-of select="n1:TaxonIdentified/n1:NameAuthorYearString"/> </span>
																	</xsl:when>
																	<xsl:otherwise>
																		<!--Multiple identifications, non prefered one -->
																		
																	</xsl:otherwise>
																</xsl:choose>
															</xsl:otherwise>
														</xsl:choose>	
													</xsl:otherwise>
												</xsl:choose>		
											</xsl:for-each>
<!-- ***********************************************************************+NAME****************************************************** -->
										</span>
										<br/>
										<!-- ** GUID ** -->
										<a name="{normalize-space(../../n1:OriginalSource/n1:SourceInstitutionCode)}-{normalize-space(../../n1:OriginalSource/n1:SourceName)}-{normalize-space(n1:UnitID)}" class="linktarget">
											<strong>Unit ID: </strong>
											<span class="style1">
												<xsl:value-of select="n1:UnitID"/>
											</span>
										</a>
										<xsl:if test="n1:RecordBasis">
											<br/>
											<strong>Record Basis: </strong>
											<xsl:value-of select="n1:RecordBasis"/>
										</xsl:if>
									</td>
									</tr>
									<tr>
									<td align="left">
										<strong>Source Institution: </strong>
										<xsl:value-of select="../../n1:OriginalSource/n1:SourceName"/> (<xsl:value-of select="../../n1:OriginalSource/n1:SourceInstitutionCode"/>)<br/>
										<strong>Last update: </strong>
										<xsl:value-of select="../../n1:OriginalSource/n1:SourceLastUpdatedDate"/>
										<br/>
										<xsl:if test="../../n1:OriginalSource/n1:SourceWebAddress">
											<a>
												<xsl:attribute name="href"><xsl:value-of select="../../n1:OriginalSource/n1:SourceWebAddress"/></xsl:attribute>URL</a> |
			</xsl:if>
										<xsl:if test="../../n1:DatasetDerivations/n1:DatasetDerivation/n1:Supplier/n1:EmailAddresses/n1:EmailAddress">
											<a>
												<xsl:attribute name="href"><xsl:text disable-output-escaping="yes">mailto:</xsl:text><xsl:value-of select="../../n1:DatasetDerivations/n1:DatasetDerivation/n1:Supplier/n1:EmailAddresses/n1:EmailAddress"/></xsl:attribute>EMAIL</a>
										</xsl:if>
									</td>
								</tr>
							</table>
							<!-- *********************************/HEADER ************************************** 	-->
							<!-- *********************************IDENTIFICATIONS ************************************** 	-->
							<br/><h3 class="titolo2">Identification(s): </h3>
							<table width="96%" border="0">
								<tr> 
									<th class="titolo3" align="left">Name</th>
									<xsl:if test="n1:Identifications/n1:Identification/n1:TaxonIdentified/n1:HigherTaxa/n1:HigherTaxon != ''">
										<th class="titolo3" align="left">Taxonomy</th>
									</xsl:if>
									<xsl:if test="string(n1:Identifications/n1:Identification/n1:IdentificationReference)">
										<th class="titolo3" align="left">Reference</th>
									</xsl:if>
									<xsl:if test="string(n1:IdentificationNotes)">
										<th class="titolo3" align="left">Notes</th>
									</xsl:if>
									<xsl:if test="string(n1:Identifications/n1:Identification/n1:TaxonIdentified/n1:InformalNameString)">
										<th class="titolo3" align="left">Vernacular name(s)</th>
									</xsl:if>
								</tr>
								<xsl:for-each select="n1:Identifications/n1:Identification">
								<xsl:sort select="@PreferredIdentificationFlag" data-type="text" order="descending"/>
									<!-- Change the color of the background depending if it is a PREFERED identification or not -->
									<tr bgcolor="#ECECD9">

										<td>
<!-- ***********************************************************************+NAME****************************************************** -->
											<!--General rule for names -->
											<!-- Avoid execution if there are no Identifications-->
											
												<!--Differenciate if there is only one identification o more -->
												<xsl:choose>
													<xsl:when test="count(../n1:Identification) = 1">
														<!--Only one identification, is shown as non prefered -->
														<span class="prefered"><xsl:value-of select="n1:TaxonIdentified/n1:NameAuthorYearString"/></span>
													</xsl:when>
													<!-- more than 1 identifications -->
													<xsl:otherwise>
														<!--Check if there is a preferedflag -->
														<xsl:choose>
															<xsl:when test="not(@PreferredIdentificationFlag)">
																<!-- Identification without prefered flag -->
																<xsl:value-of select="n1:TaxonIdentified/n1:NameAuthorYearString"/>
															</xsl:when>
															<xsl:otherwise>
																<xsl:choose>
																	<xsl:when test="@PreferredIdentificationFlag= '1' or @PreferredIdentificationFlag='true'">
																		<!--Multiple identifications, prefered one -->
																		<span class="prefered"><xsl:value-of select="n1:TaxonIdentified/n1:NameAuthorYearString"/></span>
																	</xsl:when>
																	<xsl:otherwise>
																		<!--Multiple identifications, non prefered one -->
																		<xsl:value-of select="n1:TaxonIdentified/n1:NameAuthorYearString"/>
																	</xsl:otherwise>
																</xsl:choose>
															</xsl:otherwise>
														</xsl:choose>	
													</xsl:otherwise>
												</xsl:choose>		
<!-- ***********************************************************************+NAME****************************************************** -->
											<xsl:if test="n1:IdentificationDate">
												<br/>
												<strong>Date: </strong>
												<xsl:value-of select="n1:IdentificationDate"/>
											</xsl:if>
											<xsl:if test="n1:Identifier">
												<br/>
												<strong>Identifier: </strong>
												<xsl:value-of select="n1:Identifier"/>
											</xsl:if>
										</td>
										<xsl:if test="n1:TaxonIdentified/n1:HigherTaxa/n1:HigherTaxon != ''">
											<td>
												<xsl:for-each select="n1:TaxonIdentified/n1:HigherTaxa/n1:HigherTaxon">
													<xsl:if test="@TaxonRank">
														<strong>
															<xsl:value-of select="@TaxonRank"/>: </strong>
													</xsl:if>
													<xsl:value-of select="."/>
												</xsl:for-each>
											</td>
										</xsl:if>
										<xsl:if test="string(n1:IdentificationReference)">
											<td>
												<xsl:value-of select="n1:IdentificationReference/n1:ReferenceCitation"/>
												<br/>
												<strong>Details: </strong>
												<xsl:value-of select="n1:IdentificationReference/n1:ReferenceDetail"/>
											</td>
										</xsl:if>
										<xsl:if test="string(n1:IdentificationNotes)">
											<td>
												<xsl:value-of select="n1:IdentificationNotes"/>
											</td>
										</xsl:if>
										<xsl:if test="string(n1:TaxonIdentified/n1:InformalNameString)">
											<td>
												<xsl:value-of select="n1:TaxonIdentified/n1:InformalNameString"/> (<xsl:value-of select="n1:TaxonIdentified/n1:InformalNameString/@Language"/>)
											</td>
										</xsl:if>
									</tr>
								</xsl:for-each>
							</table>
							<!-- *********************************IDENTIFICATIONS ************************************** 	-->
							<!-- *********************************GATHERING ************************************** 	-->
							<xsl:if test="n1:Gathering">
								<br/><h3 class="titolo2">Gathering:</h3>
								<table width="96%">
									<tr>
										<xsl:if test="n1:Gathering/n1:GatheringSite">
											<th class="titolo3" align="left">Locality:</th>
										</xsl:if>
										<xsl:if test="n1:Gathering/n1:GatheringAgents">
											<th class="titolo3" align="left">Collector(s):</th>
										</xsl:if>
										<th class="titolo3" align="left">Other info:</th>
									</tr>
									<tr valign="top" bgcolor="#ECECD9">
										<td>
											<xsl:if test="n1:Gathering/n1:GatheringSite/n1:Country">
												<strong>Country: </strong>
												<xsl:value-of select="n1:Gathering/n1:GatheringSite/n1:Country/n1:CountryName"/> <xsl:value-of select="n1:Gathering/n1:GatheringSite/n1:Country/n1:ISO2Letter"/> <xsl:value-of select="n1:Gathering/n1:GatheringSite/n1:Country/n1:ISO3Letter"/>
												<br/>
											</xsl:if>
											<xsl:if test="n1:Gathering/n1:GatheringSite/n1:NamedAreas">
												<xsl:for-each select="n1:Gathering/n1:GatheringSite/n1:NamedAreas/n1:NamedArea">
													<strong>
														<xsl:value-of select="n1:NamedAreaClass"/>: </strong>
													<xsl:value-of select="n1:NamedAreaName"/>
													<br/>
												</xsl:for-each>
											</xsl:if>
											<xsl:if test="n1:Gathering/n1:GatheringSite/n1:LocalityText">
												<xsl:value-of select="n1:Gathering/n1:GatheringSite/n1:LocalityText"/>
											</xsl:if>
											
											<xsl:if test="n1:Gathering/n1:GatheringSite/n1:SiteCoordinateSets">
											<br/>
											<form action="http://linuxgurrl.agr.gc.ca/mapdata/itis/itisrosa.php" method="POST" target="_blank">
												<xsl:attribute name="name">GeneralMap</xsl:attribute>
												<input>
													<xsl:attribute name="value">%3C%3Fxml+version%3D%271.0%27+encoding%3D%27iso-8859-1%27%3F%3E%3Cresponse%3E%3Cheader%3E%3Cauthor%3E%3C%2Fauthor%3E%3Cboundingbox%3E-180%2C-90%2C180%2C90%2CWorld%3C%2Fboundingbox%3E%3Cdescription%3EThis+Generic+Point+Mapper+is+a+service+provided+by+the+Canadian+Biological+Information+Facility%3C%2Fdescription%3E%3Cifx%3E%3C%2Fifx%3E%3Clanguage%3Een%3C%2Flanguage%3E%3Cprojection%3Elatlong%3C%2Fprojection%3E%3Crecordcount%3E%3C%2Frecordcount%3E%3Ctimestamp%3E2004-11-30+11%3A10%3A58.043%3C%2Ftimestamp%3E%3Ctitle%3ESimple+access+to+ABCD+providers+-+Point+Location+Data%3C%2Ftitle%3E%3Curl%3Ehttp%3A%2F%2Fwww.cbif.gc.ca%2Fmc%2Findex_e.php%3C%2Furl%3E%3C%2Fheader%3E%3Crecords
													<xsl:for-each select="n1:Gathering/n1:GatheringSite/n1:SiteCoordinateSets/n1:SiteCoordinates">
														%3E%3Crecord
															<xsl:for-each select="n1:CoordinatesLatLong"><xsl:for-each select="n1:LatitudeDecimal">
																	%3E%3Clatitude%3E<xsl:apply-templates/>%3C%2Flatitude
																</xsl:for-each><xsl:for-each select="n1:LongitudeDecimal">
																	%3E%3Clongitude%3E<xsl:apply-templates/>%3C%2Flongitude
																</xsl:for-each></xsl:for-each>
															%3E%3Crecordurl%3E%3C%2Frecordurl
															%3E%3C%2Frecord
													</xsl:for-each>
												%3E%3C%2Frecords%3E%3C%2Fresponse%3E
											</xsl:attribute>
													<xsl:attribute name="type">hidden</xsl:attribute>
													<xsl:attribute name="name">xml</xsl:attribute>
												</input>
												Coordinates: <xsl:value-of select="n1:Gathering/n1:GatheringSite/n1:SiteCoordinateSets/n1:SiteCoordinates/n1:CoordinatesLatLong/n1:LatitudeDecimal"/> | <xsl:value-of select="n1:Gathering/n1:GatheringSite/n1:SiteCoordinateSets/n1:SiteCoordinates/n1:CoordinatesLatLong/n1:LongitudeDecimal"/> <a href="Javascript:document.GeneralMap.submit()"> Map!</a>
											</form>
										</xsl:if>
										<!-- /For to create a map-->

										</td>
										<xsl:if test="n1:Gathering/n1:GatheringAgents">
											<td>
												<xsl:for-each select="n1:Gathering/n1:GatheringAgents/n1:GatheringAgent">
													<xsl:apply-templates/>
													<br/>
												</xsl:for-each>
											</td>
										</xsl:if>
										<td>
											<xsl:if test="string(n1:Gathering/n1:GatheringSite/n1:Altitude/n1:MeasurementAtomized)">
												<xsl:for-each select="n1:Gathering/n1:GatheringSite/n1:Altitude/n1:MeasurementAtomized">
													<strong>Height : </strong>
													<xsl:value-of select="n1:MeasurementLowerValue"/>
													<xsl:value-of select="n1:MeasurementScale"/> <xsl:if test="string(n1:MeasurementUpperValue)">- <xsl:value-of select="n1:MeasurementUpperValue"/></xsl:if>
													<xsl:value-of select="n1:MeasurementScale"/>
													<br/>
												</xsl:for-each>
											</xsl:if>
											<xsl:if test="string(n1:Gathering/n1:GatheringSite/n1:BiotopeData)">
												<strong>Biotope:</strong>
												<xsl:value-of select="n1:Gathering/n1:GatheringSite/n1:BiotopeData"/><br/>
											</xsl:if>
											<xsl:if test="string(n1:Gathering/n1:GatheringDateTime)">
												<strong>Date: </strong>
												<xsl:value-of select="n1:Gathering/n1:GatheringDateTime"/><br/>
											</xsl:if>
											<xsl:if test="string(n1:Gathering/n1:Project/n1:ProjectTitle)">
												<strong>Project: </strong>
												<xsl:value-of select="n1:Gathering/n1:ProjectTitle"/>
											</xsl:if>

										</td>
									</tr>
								</table>
							</xsl:if>
							<!-- *********************************GATHERING ************************************** 	-->
							<!-- *********************************DIGITAL IMAGES ************************************** 	-->
							<xsl:if test="n1:UnitDigitalImages/n1:UnitDigitalImage/n1:ImageURI">
							<xsl:for-each select="n1:UnitDigitalImages">
								<br/><h3 class="titolo2">  Digital images:</h3>
								<table border="1" bordercolor="#e4e4e4" cellpadding="5" cellspacing="5" width="96%">
									<tbody>
										<tr valign="top" bgcolor="#ECECD9">
											<td>
												<ul>
													<xsl:for-each select="n1:UnitDigitalImage/n1:ImageURI">
														<li>
															<a target="_blank">
																<xsl:attribute name="href"><xsl:value-of select="."/></xsl:attribute>
																<xsl:apply-templates/>
																
															</a>
														</li>
													</xsl:for-each>
												</ul>
											</td>
											<xsl:for-each select="n1:UnitDigitalImage/n1:ImageIPR">
												<td>
													<strong>IPR:</strong>
													<xsl:apply-templates/>
												</td>
											</xsl:for-each>
										</tr>
									</tbody>
								</table>
							</xsl:for-each>
							</xsl:if>
							<!-- *********************************DIGITAL IMAGES ************************************** 	-->
							<!-- *********************************FACTS ************************************** 	-->
							<xsl:if test="n1:UnitFacts/n1:FactText">						
							<xsl:for-each select="n1:UnitFacts">
								<br/><h3 class="titolo2">Facts:</h3>
								<table>
									<tr>
										<xsl:if test="n1:UnitFact/n1:FactType">
											<th class="titolo3" align="left">FactType</th>
										</xsl:if>
										<xsl:if test="n1:UnitFact/n1:FactText">
											<th class="titolo3" align="left">FactText</th>
										</xsl:if>
										<xsl:if test="n1:UnitFact/n1:DateEntered">
											<th class="titolo3" align="left">DateEntered</th>
										</xsl:if>
										<xsl:if test="n1:UnitFact/n1:AddedBy">
											<th class="titolo3" align="left">AddedBy</th>
										</xsl:if>
										<xsl:if test="n1:UnitFact/n1:Reference">
											<th class="titolo3" align="left">Reference</th>
										</xsl:if>
									</tr>
									<xsl:for-each select="n1:UnitFact">
										<tr>
											<xsl:if test="n1:FactType">
												<td>
													<xsl:for-each select="n1:FactType">
														<xsl:apply-templates/>
													</xsl:for-each>
												</td>
											</xsl:if>
											<xsl:if test="n1:FactText">
												<td>
													<xsl:for-each select="n1:FactText">
														<xsl:apply-templates/>
													</xsl:for-each>
												</td>
											</xsl:if>
											<xsl:if test="n1:DateEntered">
												<td>
													<xsl:for-each select="n1:DateEntered">
														<xsl:apply-templates/>
													</xsl:for-each>
												</td>
											</xsl:if>
											<xsl:if test="n1:AddedBy">
												<td>
													<xsl:for-each select="n1:AddedBy">
														<xsl:apply-templates/>
													</xsl:for-each>
												</td>
											</xsl:if>
											<xsl:if test="n1:Reference">
												<td>
													<xsl:for-each select="n1:Reference">
														<xsl:apply-templates/>
													</xsl:for-each>
												</td>
											</xsl:if>
										</tr>
									</xsl:for-each>
								</table>
							</xsl:for-each>
							</xsl:if>
							<!-- *********************************FACTS ************************************** 	-->
							<!-- ******************************** UNIR MEASUREMENTS ********************  -->
							<xsl:for-each select="n1:UnitMeasurements">
								<xsl:for-each select="n1:UnitMeasurement">
									<table>
										<tr>
											<xsl:if test="n1:UnitMeasurements/n1:UnitMeasurement/n1:MeasurementAppliesTo">
												<th class="titolo3" align="left">MeasurementAppliesTo</th>
											</xsl:if>
											<xsl:if test="n1:UnitMeasurements/n1:UnitMeasurement/n1:MeasurementMethod">
												<th class="titolo3" align="left">MeasurementMethod</th>
											</xsl:if>
											<xsl:if test="n1:UnitMeasurements/n1:UnitMeasurement/n1:MeasurementDuration">
												<th class="titolo3" align="left">MeasurementDuration</th>
											</xsl:if>
											<xsl:if test="n1:UnitMeasurements/n1:UnitMeasurement/n1:MeasurementAccuracy">
												<th class="titolo3" align="left">MeasurementAccuracy</th>
											</xsl:if>
											<xsl:if test="n1:UnitMeasurements/n1:UnitMeasurement/n1:ParameterMeasured">
												<th class="titolo3" align="left">ParameterMeasured</th>
											</xsl:if>
											<xsl:if test="n1:UnitMeasurements/n1:UnitMeasurement/n1:MeasurementScale">
												<th class="titolo3" align="left">MeasurementScale</th>
											</xsl:if>
											<xsl:if test="n1:UnitMeasurements/n1:UnitMeasurement/n1:MeasurementLowerValue">
												<th class="titolo3" align="left">MeasurementLowerValue</th>
											</xsl:if>
											<xsl:if test="n1:UnitMeasurements/n1:UnitMeasurement/n1:MeasurementUpperValue">
												<th class="titolo3" align="left">MeasurementUpperValue</th>
											</xsl:if>
										</tr>
										<xsl:for-each select="n1:MeasurementAtomized">
											<tr>
												<xsl:for-each select="n1:MeasurementAppliesTo">
													<td>
														<xsl:apply-templates/>
													</td>
												</xsl:for-each>
												<xsl:for-each select="n1:MeasurementMethod">
													<td>
														<xsl:apply-templates/>
													</td>
												</xsl:for-each>
												<xsl:for-each select="n1:MeasurementDuration">
													<td>
														<xsl:apply-templates/>
													</td>
												</xsl:for-each>
												<xsl:for-each select="n1:MeasurementAccuracy">
													<td>
														<xsl:apply-templates/>
													</td>
												</xsl:for-each>
												<xsl:for-each select="n1:ParameterMeasured">
													<td>
														<xsl:apply-templates/>
													</td>
												</xsl:for-each>
												<xsl:for-each select="n1:MeasurementScale">
													<td>
														<xsl:apply-templates/>
													</td>
												</xsl:for-each>
												<xsl:for-each select="n1:MeasurementLowerValue">
													<td>
														<xsl:apply-templates/>
													</td>
												</xsl:for-each>
												<xsl:for-each select="n1:MeasurementUpperValue">
													<td>
														<xsl:apply-templates/>
													</td>
												</xsl:for-each>
											</tr>
										</xsl:for-each>
									</table>
								</xsl:for-each>
							</xsl:for-each>
							<!-- ******************************** UNIR MEASUREMENTS ********************  -->
							<!--********************************** UNIT COLLECTION DOMAIN/ BOTANICAL GARDEN ***************************** -->
							<xsl:for-each select="n1:UnitCollectionDomain">
								<br/><h3 class="titolo2">Botanical garden specific data:</h3>
								<table>
									<tr>
										<xsl:if test="n1:BotanicalGardenUnit/n1:AccessionSpecimenNumbers">
											<th class="titolo3" align="left">AccessionSpecimenNumbers</th>
										</xsl:if>
										<xsl:if test="n1:BotanicalGardenUnit/n1:AccessionStatus">
											<th class="titolo3" align="left">AccessionStatus</th>
										</xsl:if>
										<xsl:if test="n1:BotanicalGardenUnit/n1:AccessionMaterialType">
											<th class="titolo3" align="left">AccessionMaterialType</th>
										</xsl:if>
										<xsl:if test="n1:BotanicalGardenUnit/n1:Hardiness">
											<th class="titolo3" align="left">Hardiness</th>
										</xsl:if>
										<xsl:if test="n1:BotanicalGardenUnit/n1:ProvenanceCategory">
											<th class="titolo3" align="left">ProvenanceCategory</th>
										</xsl:if>
										<xsl:if test="n1:BotanicalGardenUnit/n1:PropagationHistoryCode">
											<th class="titolo3" align="left">PropagationHistoryCode</th>
										</xsl:if>
										<xsl:if test="n1:BotanicalGardenUnit/n1:AccessionLineage">
											<th class="titolo3" align="left">AccessionLineage</th>
										</xsl:if>
										<xsl:if test="n1:BotanicalGardenUnit/n1:DonorCategory">
											<th class="titolo3">DonorCategory</th>
										</xsl:if>
									</tr>
									<xsl:for-each select="n1:BotanicalGardenUnit">
										<tr>
											<xsl:for-each select="n1:AccessionSpecimenNumbers">
												<td>
													<xsl:apply-templates/>
												</td>
											</xsl:for-each>
											<xsl:for-each select="n1:AccessionStatus">
												<td>
													<xsl:apply-templates/>
												</td>
											</xsl:for-each>
											<xsl:for-each select="n1:AccessionMaterialType">
												<td>
													<xsl:apply-templates/>
												</td>
											</xsl:for-each>
											<xsl:for-each select="n1:Hardiness">
												<td>
													<xsl:apply-templates/>
												</td>
											</xsl:for-each>
											<xsl:for-each select="n1:ProvenanceCategory">
												<td>
													<xsl:apply-templates/>
												</td>
											</xsl:for-each>
											<xsl:for-each select="n1:PropagationHistoryCode">
												<td>
													<xsl:apply-templates/>
												</td>
											</xsl:for-each>
											<xsl:for-each select="n1:AccessionLineage">
												<td>
													<xsl:apply-templates/>
												</td>
											</xsl:for-each>
											<xsl:for-each select="n1:DonorCategory">
												<td>
													<xsl:apply-templates/>
												</td>
											</xsl:for-each>
										</tr>
									</xsl:for-each>
								</table>
							</xsl:for-each>
							<!-- *********************************OTHER DATA ************************************** 	-->
							<xsl:if test="n1:LastEditor or n1:DateLastEdited or n1:CollectorsFieldNumber or n1:UnitStateDomain/n1:SpecimenUnit/n1:NomenclaturalTypeDesignations/n1:NomenclaturalTypeDesignation/n1:TypeStatus">
								<br/><h3 class="titolo2">Other data:</h3>
								<table>
									<tbody>
										<tr bgcolor="#ECECD9" valign="top">
											<td>
												<!-- Last editor -->
												<xsl:for-each select="n1:LastEditor">
													<strong>Last editor:</strong>
													<xsl:apply-templates/>
												</xsl:for-each>
												<!-- Last editor -->
												<xsl:for-each select="n1:DateLastEdited">
													<strong>Date Last Edited:</strong>
													<xsl:apply-templates/>
												</xsl:for-each>
												<xsl:for-each select="n1:CollectorsFieldNumber">
													<strong>Collectors field number:</strong>
													<xsl:apply-templates/>
												</xsl:for-each>
												<xsl:for-each select="n1:UnitStateDomain/n1:SpecimenUnit/n1:NomenclaturalTypeDesignations/n1:NomenclaturalTypeDesignation/n1:TypeStatus">
													<br/>
													<strong>Type Status: </strong>
													<xsl:apply-templates/>
												</xsl:for-each>
											</td>
										</tr>
									</tbody>
								</table>
							</xsl:if>
							<!-- *********************************OTHER DATA ************************************** 	-->
							<!-- ********************************* IPR Specific for the Unit ************************************** 	-->
							<xsl:for-each select="n1:RecordRights">
								<br/><h3 class="titolo2">Specific Unit right rights:</h3>
								<table>
									<tbody>
										<tr bgcolor="#ECECD9" valign="top">
											<td>
												<xsl:apply-templates/>
											</td>
										</tr>
									</tbody>
								</table>
							</xsl:for-each>
							<!-- *********************************IPR Specific for the Unit************************************** 	-->
							<!-- ********************************* UnitStatements ************************************** 	-->
							<xsl:for-each select="n1:UnitStatements">
								<br/><h3 class="titolo2">Unit statements:</h3>
								<table>
									<tbody>
										<tr bgcolor="#ECECD9" valign="top">
											<td>
												<xsl:apply-templates/>
											</td>
										</tr>
									</tbody>
								</table>
							</xsl:for-each>
							<!-- ********************************* UnitStatements************************************** 	-->
							<!-- *********************************NOTES ************************************** 	-->
							<xsl:if test="string(n1:UnitDescription)">
								<xsl:for-each select="n1:UnitDescription">
									<h3 class="titolo2">Notes:</h3>
									<table>
										<tbody>
											<tr bgcolor="#ECECD9" valign="top">
												<td>
													<xsl:apply-templates/>
												</td>
											</tr>
										</tbody>
									</table>
								</xsl:for-each>
							</xsl:if>
							<!-- *********************************NOTES ************************************** 	-->
							<p/>
						</div>
						<p/>
					</xsl:for-each>
					<!--      **************************************UNIT*********************************************  -->
		
	</xsl:template>
</xsl:stylesheet>